<template>
  <div
    @mouseover="visible = true"
    @mouseout="visible = false"
  >
    <icon
      name="info-circle"
      class="cursor-help"
    />

    <transition
      enter-active-class="animated fadeIn fast"
      leave-active-class="animated fadeOut fast"
    >
      <div
        v-if="visible"
        class="absolute mt-1 p-2 box border"
      >
        <slot />
      </div>
    </transition>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import 'vue-awesome/icons/info-circle'
import Icon from 'vue-awesome/components/Icon.vue'

@Component({
  components: {
    Icon
  }
})
export default class Tooltip extends Vue {
  visible = false
}
</script>

<style scoped>
</style>
